package edu.wisc.cs.games10.chrononaut;

import processing.core.*;

public class Leg extends BodyPart {
	float jumpStrength;
	boolean canStomp;
	float speedMult;

	public Leg(String n, PImage i) {
		super(n,i);
		jumpStrength = 1; // default jump strength
		canStomp = false;
		speedMult = 1;
	}
	
	public Leg(String n, PImage i, float jump, boolean stomp, float speed) {
		super(n,i);
		jumpStrength = jump;
		canStomp = stomp;
		speedMult = speed;
	}
	
	public float getJumpStrength() {
		return jumpStrength;
	}
	
	public boolean canStomp() {
		return canStomp;
	}
	
	public float getSpeed() {
		return speedMult;
	}
}
